I'm having trouble with dependencies and apt-get upgrade. I've looked around and tried a group of approches from this site and other stuff found on google.

b@asus:~$ sudo apt-get upgrade
Reading package lists... Done
Building dependency tree       
Reading state information... Done
You might want to run 'apt-get -f install' to correct these.
The following packages have unmet dependencies:
 apport : Depends: python3-apport (>= 2.20.1-0ubuntu2.1) but 2.20.1-0ubuntu2 is installed
 apport-gtk : Depends: python3-apport (>= 2.20.1-0ubuntu2.1) but 2.20.1-0ubuntu2 is installed
E: Unmet dependencies. Try using -f.

I've tried using sudo apt-get -f install and other things like autoremove and autoclean, but I'm having no luck.

This also came up when I apt-get upgrade:

Get:124 http://us.archive.ubuntu.com/ubuntu xenial-updates/universe amd64 compizconfig-settings-manager all 1:0.9.12.2+16.04.20160526-0ubuntu1 [576 kB]
Fetched 160 MB in 2min 47s (955 kB/s)                                          
Extracting templates from packages: 100%
Preconfiguring packages ...
(Reading database ... 252887 files and directories currently installed.)
Preparing to unpack .../python3-problem-report_2.20.1-0ubuntu2.1_all.deb ...
  File "/usr/bin/py3clean", line 106

          ^
SyntaxError: unexpected EOF while parsing
dpkg: warning: subprocess old pre-removal script returned error exit status 1
dpkg: trying script from the new package instead ...
  File "/usr/bin/py3clean", line 106

          ^
SyntaxError: unexpected EOF while parsing
dpkg: error processing archive /var/cache/apt/archives/python3-problem-report_2.20.1-0ubuntu2.1_all.deb (--unpack):
 subprocess new pre-removal script returned error exit status 1
Preparing to unpack .../python3-apport_2.20.1-0ubuntu2.1_all.deb ...
  File "/usr/bin/py3clean", line 106

          ^
SyntaxError: unexpected EOF while parsing
dpkg: warning: subprocess old pre-removal script returned error exit status 1
dpkg: trying script from the new package instead ...
  File "/usr/bin/py3clean", line 106

          ^
SyntaxError: unexpected EOF while parsing
dpkg: error processing archive /var/cache/apt/archives/python3-apport_2.20.1-0ubuntu2.1_all.deb (--unpack):
 subprocess new pre-removal script returned error exit status 1
Preparing to unpack .../init-system-helpers_1.29ubuntu2_all.deb ...
Unpacking init-system-helpers (1.29ubuntu2) over (1.29ubuntu1) ...
Processing triggers for man-db (2.7.5-1) ...
Errors were encountered while processing:
 /var/cache/apt/archives/python3-problem-report_2.20.1-0ubuntu2.1_all.deb
 /var/cache/apt/archives/python3-apport_2.20.1-0ubuntu2.1_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)    
  • Have you done sudo apt-get install --fix-missing? – geekseradicateall Jun 6 '16 at 19:33
  • i get a pretty much the same error: b@asus:~$ sudo apt-get install --fix-missing [sudo] password for b: Reading package lists... Done Building dependency tree Reading state information... Done You might want to run 'apt-get -f install' to correct these. The following packages have unmet dependencies: python3-uno : Depends: libreoffice-core (= 1:5.1.2-0ubuntu1) but 1:5.1.3-0ubuntu1 is installed E: Unmet dependencies. Try using -f. – Barefoot Boblio Jun 7 '16 at 22:59
  • this may get annoying but have you tried to custom install all of the dependencies(just a thought). – geekseradicateall Jun 11 '16 at 20:14

I've solved the same problem just by using python 2.7 instead of python 3.4:

 sudo rm python
 sudo ln -s python2.7 python
 sudo apt-get update
 sudo apt-get upgrade
 sudo rm python
 sudo ln -s python3.4 python

Your Answer

 

By clicking "Post Your Answer", you acknowledge that you have read our updated terms of service, privacy policy and cookie policy, and that your continued use of the website is subject to these policies.

Not the answer you're looking for? Browse other questions tagged or ask your own question.